Bug 203597 - net-mgmt/argus3: fails to run via rc.d
Summary: net-mgmt/argus3: fails to run via rc.d
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Muhammad Moinur Rahman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-07 01:54 UTC by Peter Thoenen
Modified: 2016-08-08 21:19 UTC (History)
1 user (show)

See Also:
bofh: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Thoenen 2015-10-07 01:54:12 UTC
Argus3 will run via CLI but not via rc.d even though identical flags and config (note the only flag in second example is -F to the default config file).

root@prh-i-dark:~ # pkg info | grep argus
argus-3.0.8.1                  Generic IP network transaction auditing tool
argus-clients-3.0.8_1          Client programs for the argus IP network
transaction auditing tool

root@prh-i-dark:~ # /usr/local/etc/rc.d/argus start Starting argus.
argus[50565]: 09 Aug 15 09:56:46.246502 started
/usr/local/etc/rc.d/argus: WARNING: failed to start argus

root@prh-i-dark:~ # /usr/local/etc/rc.d/argus status argus is not running.

root@prh-i-dark:~ # tail -n 40 /var/log/messages
Aug  9 09:59:05 prh-i-dark argus[50588]: 09 Aug 15 09:59:05.346615 started Aug  9 09:59:05 prh-i-dark argus[50588]: 09 Aug 15 09:59:05.371774 argus: ArgusEstablishListen: bind() error
Aug  9 09:59:05 prh-i-dark argus[50588]: 09 Aug 15 09:59:05.372761 stopped Aug  9 09:59:05 prh-i-dark kernel: <118>
Aug  9 09:59:05 prh-i-dark argus[50588]: 09 Aug 15 09:59:05.346615 started Aug  9 09:59:05 prh-i-dark kernel: <118>
Aug  9 09:59:05 prh-i-dark argus[50588]: 09 Aug 15 09:59:05.371774 argus: ArgusEstablishListen: bind() error 
Aug  9 09:59:05 prh-i-dark kernel: <118>Aug  9 09:59:05 prh-i-dark
argus[50588]: 09 Aug 15 09:59:05.372761 stopped 
Aug  9 09:59:05 prh-i-dark root: /usr/local/etc/rc.d/argus: WARNING:
failed to start argus

--- Now try again exact same but from CLI 

root@prh-i-dark:~ # argus -F /usr/local/etc/argus.conf
argus[50594]: 09 Aug 15 09:59:52.782864 started 

root@prh-i-dark:~ # /usr/local/etc/rc.d/argus status argus is running as pid 50594.

root@prh-i-dark:~ # tail -n 40 /var/log/messages Aug  9 09:59:52 prh-i-dark argus[50594]: 09 Aug 15 09:59:52.782864 started Aug  9 09:59:52 prh-i-dark argus[50594]: 09 Aug 15 09:59:52.807809 started Aug  9 09:59:52 prh-i-dark argus[50594]: 09 Aug 15 09:59:52.816314
ArgusGetInterfaceStatus: interface hn1 is up Aug  9 09:59:52 prh-i-dark kernel: <118>Aug  9 09:59:52 prh-i-dark
argus[50594]: 09 Aug 15 09:59:52.782864 started Aug  9 09:59:52 prh-i-dark kernel: <118>Aug  9 09:59:52 prh-i-dark
argus[50594]: 09 Aug 15 09:59:52.807809 started Aug  9 09:59:52 prh-i-dark kernel: <6>hn1: promiscuous mode enabled Aug  9 09:59:52 prh-i-dark kernel: <118>Aug  9 09:59:52 prh-i-dark
argus[50594]: 09 Aug 15 09:59:52.816314 ArgusGetInterfaceStatus: interface
hn1 is up
Aug  9 10:00:00 prh-i-dark syslog-ng[689]: Configuration reload request received, reloading configuration;
Comment 1 Raphael Kubo da Costa freebsd_committer 2016-03-03 12:43:29 UTC
Over to maintainer.
Comment 2 commit-hook freebsd_committer 2016-06-10 00:00:11 UTC
A commit references this bug:

Author: bofh
Date: Thu Jun  9 23:59:53 UTC 2016
New revision: 416645
URL: https://svnweb.freebsd.org/changeset/ports/416645

Log:
  net-mgmt/argus3: Update version 3.0.8.1=>3.0.8.2

  - Fix rc.d script [1]

  PR:		203597 [1]
  Submitted by:	peter.thoenen@yahoo.com [1]

Changes:
  head/net-mgmt/argus3/Makefile
  head/net-mgmt/argus3/distinfo
  head/net-mgmt/argus3/files/argus.in
Comment 3 Peter Thoenen 2016-06-15 22:03:37 UTC
Re-opening as still not resolved:

root@prh-i-dark:~ # /usr/local/etc/rc.d/argus start
Starting argus.
root@prh-i-dark:~ # argus[19452]: 17 Jun 16 03:35:53.040736 started

root@prh-i-dark:~ # /usr/local/etc/rc.d/argus status
argus is not running.
root@prh-i-dark:~ # pkg info | grep argus
argus-3.0.8.2                  Generic IP network transaction auditing tool
argus-clients-3.0.8.2          Client programs for the argus IP network transaction auditing tool
root@prh-i-dark:~ # 
--

After "started" but before the next prompt (status) is a [enter], i.e:

root@prh-i-dark:~ # /usr/local/etc/rc.d/argus start [enter]
Starting argus.
root@prh-i-dark:~ # argus[19452]: 17 Jun 16 03:35:53.040736 started
( HANGS HERE FOREVER UNTIL I HIT [ENTER] )
root@prh-i-dark:~ # /usr/local/etc/rc.d/argus status
argus is not running.
Comment 4 commit-hook freebsd_committer 2016-08-08 21:17:56 UTC
A commit references this bug:

Author: bofh
Date: Mon Aug  8 21:17:25 UTC 2016
New revision: 419894
URL: https://svnweb.freebsd.org/changeset/ports/419894

Log:
  net-mgmt/argus3: Fix rc.d script

  PR:		203597
  Submitted by:	peter.thoenen@yahoo.com

Changes:
  head/net-mgmt/argus3/Makefile
  head/net-mgmt/argus3/files/argus.in
Comment 5 Muhammad Moinur Rahman freebsd_committer 2016-08-08 21:19:18 UTC
Sorry for the late , totally overlooked.